package com.lantone.qc.kernel.catalogue.firstpagerecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.Content;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.BeHospitalizedDoc;
import com.lantone.qc.pub.model.doc.FirstPageRecordDoc;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * @ClassName : FIRP0516
 * @Description : 身份证号码与入院记录不一致
 * @Author : 楼辉荣
 * @Date: 2020-03-06 17:28
 */
@Component
public class FIRP0516 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        BeHospitalizedDoc beHospitalizedDoc = inputInfo.getBeHospitalizedDoc();
        FirstPageRecordDoc firstPageRecordDoc = inputInfo.getFirstPageRecordDoc();
        if(beHospitalizedDoc != null && firstPageRecordDoc != null){
            Map<String, String> structureMap_bh = beHospitalizedDoc.getStructureMap();
            Map<String, String> structureMap_fpr = firstPageRecordDoc.getStructureMap();
            String bhIdNumber = structureMap_bh.get(Content.idNumber);
            String fprIdNumber = structureMap_fpr.get(Content.idNumber);
            if (StringUtil.isBlank(bhIdNumber) || StringUtil.isBlank(fprIdNumber)){
                return;
            }
            if (!bhIdNumber.equals(fprIdNumber)){
                status.set("-1");
            }
        }
    }
}